package com.sunxung.factoring.entity.project;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 项目业主方-股权冻结
 * </p>
 *
 * @author liutao
 * @since 2023-12-15
 */
@TableName("project_owner_equity_freeze")
public class ProjectOwnerEquityFreeze {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 项目业主方审核id
     */
    @TableField("project_audit_id")
    private Long projectAuditId;

    /**
     * sop端 股权冻结列表信息id
     */
    @TableField("c_equity_freeze_data_id")
    private Long cEquityFreezeDataId;

    /**
     * 执行通知书文号
     */
    @TableField("doc_No")
    private String docNo;

    /**
     * 被执行人
     */
    @TableField("be_executed")
    private String beExecuted;

    /**
     * 冻结股权标的企业
     */
    @TableField("freeze_company")
    private String freezeCompany;

    /**
     * 股权数额
     */
    @TableField("equity_amount")
    private String equityAmount;

    /**
     * 执行法院
     */
    @TableField("execute_court")
    private String executeCourt;

    /**
     * 状态
     */
    @TableField("status")
    private String status;

    /**
     * 冻结开始日期，精确到天，如“2022-01-01”
     */
    @TableField("freeze_start_date")
    private String freezeStartDate;

    /**
     * 冻结结束日期，精确到天，如“2022-01-01”
     */
    @TableField("freeze_end_date")
    private String freezeEndDate;

    /**
     * 股权冻结 0 否 1 是
     */
    @TableField("equity_freeze")
    private Integer equityFreeze;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProjectAuditId() {
        return projectAuditId;
    }

    public void setProjectAuditId(Long projectAuditId) {
        this.projectAuditId = projectAuditId;
    }
    public Long getcEquityFreezeDataId() {
        return cEquityFreezeDataId;
    }

    public void setcEquityFreezeDataId(Long cEquityFreezeDataId) {
        this.cEquityFreezeDataId = cEquityFreezeDataId;
    }
    public String getDocNo() {
        return docNo;
    }

    public void setDocNo(String docNo) {
        this.docNo = docNo;
    }
    public String getBeExecuted() {
        return beExecuted;
    }

    public void setBeExecuted(String beExecuted) {
        this.beExecuted = beExecuted;
    }
    public String getFreezeCompany() {
        return freezeCompany;
    }

    public void setFreezeCompany(String freezeCompany) {
        this.freezeCompany = freezeCompany;
    }
    public String getEquityAmount() {
        return equityAmount;
    }

    public void setEquityAmount(String equityAmount) {
        this.equityAmount = equityAmount;
    }
    public String getExecuteCourt() {
        return executeCourt;
    }

    public void setExecuteCourt(String executeCourt) {
        this.executeCourt = executeCourt;
    }
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
    public String getFreezeStartDate() {
        return freezeStartDate;
    }

    public void setFreezeStartDate(String freezeStartDate) {
        this.freezeStartDate = freezeStartDate;
    }
    public String getFreezeEndDate() {
        return freezeEndDate;
    }

    public void setFreezeEndDate(String freezeEndDate) {
        this.freezeEndDate = freezeEndDate;
    }
    public Integer getEquityFreeze() {
        return equityFreeze;
    }

    public void setEquityFreeze(Integer equityFreeze) {
        this.equityFreeze = equityFreeze;
    }

    @Override
    public String toString() {
        return "ProjectOwnerEquityFreeze{" +
            "projectAuditId=" + projectAuditId +
            ", cEquityFreezeDataId=" + cEquityFreezeDataId +
            ", docNo=" + docNo +
            ", beExecuted=" + beExecuted +
            ", freezeCompany=" + freezeCompany +
            ", equityAmount=" + equityAmount +
            ", executeCourt=" + executeCourt +
            ", status=" + status +
            ", freezeStartDate=" + freezeStartDate +
            ", freezeEndDate=" + freezeEndDate +
            ", equityFreeze=" + equityFreeze +
        "}";
    }
}
